* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', sans-serif;
    outline: none;
    user-select: none;
}

/* Contenedor */
.login-container {
    height: 100vh;

    background-image: linear-gradient(135deg, #a1d9ff5e 0%, #fdeaa957 100%), url('img/fondo/textura-de-papel.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    
    position:relative;
    height: 100vh;
    overflow: hidden;
}
.imgSubF{

    width: 100%;
        /* Ocupa el 100% del ancho del div pequeño, no 1000px */
        height: 100%;
        /* Ocupa el 100% del alto del div pequeño */
        object-fit: cover;
        /* Ajusta la imagen sin deformarla (la recorta si es necesario) */
        position: absolute;
        top: -500;
        left: 0;
        /* Asegura que inicie en la esquina superior izquierda */
        opacity: 0.4;
        z-index: 1;
}
.password {
    -webkit-text-security: disc;
}

/* Tarjeta */
.login-card {
    width:300px;
    background: #fff;
    padding: 35px 30px;
    border-radius: 10px;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
    text-align: center;

    z-index: 2;
}

/* Títulos */
.login-card h2 {
    color: #1e3c72;
    margin-bottom: 5px;
}

.subtitle {
    font-size: 14px;
    color: #777;
    margin-bottom: 25px;
}

/* Inputs */
.input-group {
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 6px;
    padding: 10px;
    margin-bottom: 18px;
    transition: 0.3s;
}

.input-group:focus-within {
    border-color: #1e3c72;
    box-shadow: 0 0 5px rgba(30, 60, 114, 0.4);
}

.input-group .icon {
    font-size: 18px;
    margin-right: 8px;
}

.input-group input {
    border: none;
    outline: none;
    width: 100%;
    font-size: 15px;
}

/* Botón */
button {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 6px;
    background: #1e3c72;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s;
}

button:hover {
    background: #16325c;
}

/* Pie */
.footer-text {
    margin-top: 20px;
    font-size: 12px;
    color: #aaa;
}

/*--------- MENSAJE ----------*/
/*
body {
    
    height: 100vh;
    background: #f4f6f9;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
    */

/* Contenedor */
.mensaje-container {
    width: 100%;
    height: 100vh;
    background: rgba(53, 51, 51, 0.705);

    position:absolute;
    top:0;

    display:none;
}

/* Tarjeta */
.mensaje-card {
    width:250px;
    background: #fff;
    border-radius: 10px;
    padding: 30px;
    text-align: center;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
    animation: aparecer 0.4s ease;

    position:absolute;
    top:20%;
    left:50%;
    margin-left:-125px;
}

/* Animación */
@keyframes aparecer {
    from {
        transform: scale(0.9);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

/* Icono */
.icono {
    font-size: 40px;
    margin-bottom: 10px;
}

/* Texto */
.mensaje-card h3 {
    margin-bottom: 10px;
    color: #2c3e50;
}

.mensaje-card p {
    font-size: 15px;
    color: #555;
    margin-bottom: 25px;
}

/* Botón */
.mensaje-card button {
    padding: 10px 25px;
    border: none;
    border-radius: 5px;
    background: #2c7be5;
    color: #fff;
    font-size: 15px;
    cursor: pointer;
    transition: 0.3s;
}

.mensaje-card button:hover {
    background: #1a5fc4;
}

/* Tipos de mensaje */
.mensaje-card.info {
    border-top: 5px solid #2c7be5;
}

.mensaje-card.exito {
    border-top: 5px solid #28a745;
}

.mensaje-card.error {
    border-top: 5px solid #dc3545;
}

.mensaje-card.alerta {
    border-top: 5px solid #ffc107;
}